ZIP_FILE_STRERROR(3)

NAME
zip_file_strerror, zip_strerror - get string representation for a zip error

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

const char *
zip_file_strerror(struct zip_file *file);

const char *
zip_strerror(struct zip *archive);

DESCRIPTION
The zip_strerror() function returns a string describing the last error for the zip archive archive, while the zip_file_strerror() function does the same for a zip file file (one file in an archive). The returned string must not be modified or freed, and becomes invalid when archive or file, respectively, is closed or on the next call to zip_strerror() or zip_file_strerror(), respectively, for the same archive.

RETURN VALUES
zip_file_strerror() and zip_strerror() return a pointer to the error string.

SEE ALSO
libzip(3), zip_error_to_str(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>